Subject: bug#6272: closed (Re: bug#14567: These changes sometimes break plain text navigation)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 09 Jul 2013 17:02:07 +0000

Your bug report

#6103: 24.0.50; scrolling problem with global-hl-line-mode: point fails to advance

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6103: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6103
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#14567: These changes sometimes break plain text navigation
From: Eli Zaretskii <[email-masked]>
To: Dima Kogan <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Tue, 09 Jul 2013 20:00:31 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Dima Kogan <[email-masked]>
> Date: Mon, 08 Jul 2013 16:42:49 -0700
> 
> I did a search for similar-sounding existing bugs, and apparently this
> issue has already been filed, so I didn't add to the pile:
> 
>  http://debbugs.gnu.org/6103
>  http://debbugs.gnu.org/6272
>  http://debbugs.gnu.org/14598

None of these are reproducible with the current trunk, so I guess my
latest changes fixed them all indirectly.  I'm closing them.

> My main test case now works perfectly. I can still make problems
> happen if I adjust the text size with C-x C-+.

I can't.  So please file a new bug report ;-)

> Loading emacs with the .emacs I mentioned in the original post about
> this and then pressing 'C-x C-+' 4 times, pressing C-n never results in
> a 50% screen scroll. At the bottom, C-n presses alternate between
> 
>  - scrolling down one line while keeping the point stationary

Stationary on screen, or stationary at the same buffer position?

>  - moving the point down one line normally.

What do the following report in each one of the 2 above-mentioned
situations, i.e. before C-n would scroll, and before it would move?

  M-: (pos-visible-in-window-p t nil t) RET
  M-: (posn-at-point) RET
  M-: (default-font-height) RET

> This sounds like http://debbugs.gnu.org/14598

No, it isn't, as that bug is already solved.  I guess it was easier
than I thought at the time.

Subject: 24.0.50; scrolling problem with global-hl-line-mode: point fails to advance
From: David Reitter <[email-masked]>
To: Bug-Gnu-Emacs <[email-masked]>
Date: Tue, 25 May 2010 16:34:19 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

X-Debbugs-CC: [email-masked]

Emacs -Q
M-x about-emacs
M-: (set-frame-parameter nil 'height 25)
[important: this sets the frame so that the line "GNU and Freedom" is half-visible.\
M-x global-hl-line-mode

press <down> repeatedly, until we're on the "GNU and Freedom" line.  The line "Absence of Warranty" should now be visible at the bottom of the window.

Now press <down> once more.  This will NOT advance the cursor, but scroll the buffer up by just a pixel or two.
I am attaching two screenshots showing before and after.

I would expect it to scroll a full line and actually advance my point.

The recipe above applies to Emacs 24, but I can see it with a 23 branch build, too.

Interestingly, this does not reproduce when using `hl-line-mode' instead of `global-hl-line-mode', but I also don't see line-by-line scrolling then.

This problem may or may not be the same as bug#6264.  One difference in this report is 
that the point actually does not move here, while in #6264 the point still seems to move.  But that may just be a matter of setup.

Konrad Podczeck <[email-masked]>  contributed to this bug report.

In GNU Emacs 24.0.50.2 (x86_64-apple-darwin10.3.0, NS apple-appkit-1038.29)
 of 2010-05-05 on scarlett.local
Windowing system distributor `Apple', version 10.3.1038
configured using `configure  '--with-ns''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: en_US.us-ascii
  value of $LC_CTYPE: en_US.us-ascii
  value of $LC_MESSAGES: en_US.us-ascii
  value of $LC_MONETARY: en_US.us-ascii
  value of $LC_NUMERIC: en_US.us-ascii
  value of $LC_TIME: en_US.us-ascii
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: us-ascii-unix
  default enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  global-hl-line-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
x g l o b a l - h l <tab> <return> <up> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <down> <down> <down> <down> 
<down> <down> <down> <down> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <down> <help-echo> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <down> <down> <help-echo> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<escape> : <up> <right> <kp-delete> <kp-delete> <C-backspace> 
<C-backspace> <C-backspace> C-k C-k ( f r a m e - p 
a r a m e t e r SPC n i l SPC ' h e i g h t ) <return> 
<help-echo> <down-mouse-1> <mouse-1> <help-echo> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <help-echo> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<help-echo> <help-echo> <help-echo> <down> <help-echo> 
<help-echo> <down-mouse-1> <mouse-1> <help-echo> <help-echo> 
<menu-bar> <help-menu> <send-emacs-bug-report>

Recent messages:
Unable to load color "darkblue"
nil
Global-Hl-Line mode enabled
Unable to load color "darkblue" [2 times]
byte-code: End of buffer [5 times]
byte-code: Beginning of buffer [44 times]
call-interactively: Text is read-only
byte-code: Text is read-only: #<buffer  *Minibuf-1*> [2 times]
25 (#o31, #x19)
byte-code: Beginning of buffer [18 times]
byte-code: Beginning of buffer

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr message rfc822 mml mml-sec mm-decode
mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mailabbrev mail-utils gmm-utils mailheader emacsbug
cus-start cus-load hl-line tooltip ediff-hook vc-hooks lisp-float-type
mwheel ns-win easymenu tool-bar dnd fontset image fringe lisp-mode
register page menu-bar rfn-eshadow timer select scroll-bar mldrag mouse
jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
loaddefs button minibuffer faces cus-face files text-properties overlay
md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process ns multi-tty
emacs)

===
ALSO IN:

In GNU Emacs 23.2.50.1 (x86_64-apple-darwin10.3.1, NS apple-appkit-1038.29)
 of 2010-05-10 on elin.psy.cmu.edu
Windowing system distributor `Apple', version 10.3.1038
configured using `configure  '--with-ns''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  global-hl-line-mode: t
  which-function-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> <help-echo> <down-mouse-1> <help-echo> 
<mouse-1> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <down-mouse-1> <mouse-1> <help-echo> <help-echo> 
<escape> x § g l o b a l - <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> g l o b a l - h l <tab> <return> <down> 
<down> <down> <down> <down> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <down> <down> <down> <down> <down> <down> 
<down> <down> <help-echo> <wheel-up> <double-wheel-up> 
<triple-wheel-up> <triple-wheel-up> <triple-wheel-up> 
<triple-wheel-up> <triple-wheel-up> <triple-wheel-up> 
<triple-wheel-up> <triple-wheel-up> <triple-wheel-up> 
<triple-wheel-up> <triple-wheel-up> <triple-wheel-up> 
<triple-wheel-up> <triple-wheel-up> <triple-wheel-up> 
<triple-wheel-up> <triple-wheel-up> <wheel-up> <help-echo> 
<down-mouse-1> <mouse-1> <help-echo> <escape> : ( f 
r a m e - p a r a m e t e r s SPC n i l SPC ' h e i 
g h t ) <return> q <escape> : <up> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <down-mouse-1> 
<mouse-1> <backspace> <return> <up> <up> <help-echo> 
<help-echo> <help-echo> <menu-bar> <help-menu> <se
nd-emacs-bug-report>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Unable to load color "darkblue"
Global-Hl-Line mode enabled
Unable to load color "darkblue"
byte-code: Beginning of buffer [20 times]
Entering debugger...
Back to top level.
22 (#o26, #x16)

Load-path shadows:
None found.

Features:
(shadow sort mail-extr message ecomplete rfc822 mml mml-sec
password-cache mm-decode mm-bodies mm-encode mailcap mail-parse rfc2231
rfc2047 rfc2045 qp ietf-drums mailabbrev nnheader gnus-util netrc
time-date mm-util mail-prsvr gmm-utils wid-edit mailheader canlock sha1
hex-util hashcash mail-utils emacsbug help-mode view debug cus-start
cus-load hl-line easy-mmode which-func imenu tooltip ediff-hook vc-hooks
lisp-float-type mwheel ns-win easymenu tool-bar dnd fontset image fringe
lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
mldrag mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev loaddefs button minibuffer faces cus-face files text-properties
overlay md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process ns multi-tty
emacs)